{
    // 使用 IntelliSense 了解相关属性。 
    // 悬停以查看现有属性的描述。
    // 欲了解更多信息，请访问: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [

        {
            "type": "java",
            "name": "Current File",
            "request": "launch",
            "mainClass": "${file}"
        },
        {
            "type": "java",
            "name": "BaseCodeGenerator",
            "request": "launch",
            "mainClass": "com.moka.gdtauto.BaseCodeGenerator",
            "projectName": "gdt-auto"
        },
        {
            "type": "java",
            "name": "GdtAutoApplication",
            "request": "launch",
            "mainClass": "com.moka.gdtauto.GdtAutoApplication",
            "projectName": "gdt-auto",
            "vmArgs": "--add-opens java.base/java.lang=ALL-UNNAMED --add-opens java.base/java.util=ALL-UNNAMED"
        },
        {
            "type": "java",
            "name": "ImageWatermarkSimpleTest",
            "request": "launch",
            "mainClass": "com.moka.gdtauto.util.ImageWatermarkSimpleTest",
            "projectName": "gdt-auto"
        },
        {
            "type": "java",
            "name": "SampleTest",
            "request": "launch",
            "mainClass": "com.moka.gdtauto.util.SampleTest",
            "projectName": "gdt-auto"
        },
        {
            "type": "java",
            "name": "VideoWatermarkSimpleTest",
            "request": "launch",
            "mainClass": "com.moka.gdtauto.util.VideoWatermarkSimpleTest",
            "projectName": "gdt-auto"
        },
        {
            "type": "java",
            "name": "JUnit: Current File (支持虚拟线程调试)",
            "request": "launch",
            "mainClass": "org.junit.platform.console.ConsoleLauncher",
            "args": "--select-class=${fileBasenameNoExtension}",
            "classPaths": [
                "$Auto",
                "$Runtime"
            ],
            "modulePaths": [
                "$Auto",
                "$Runtime"
            ],
            "projectName": "gdt-auto",
            "vmArgs": "-Djdk.virtualThreadScheduler.maxPoolSize=1"
        },
        {
            "type": "java",
            "name": "JUnit: 指定方法 (修改args中的类名和方法名)",
            "request": "launch",
            "mainClass": "org.junit.platform.console.ConsoleLauncher",
            "args": "--select-method=com.moka.gdtauto.service.AdPlanDailyReportSyncTest#testSyncDailyCreativeReport",
            "classPaths": [
                "$Auto",
                "$Runtime"
            ],
            "modulePaths": [
                "$Auto",
                "$Runtime"
            ],
            "projectName": "gdt-auto",
            "vmArgs": "-Djdk.virtualThreadScheduler.maxPoolSize=1"
        }
    ]
}